config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/init.d/domoticz.new
config etc/default/domoticz.new


#
# check domoticz account
#
if [ -z "$(grep ^domoticz /etc/group)" ]; then
    groupadd -g 311 domoticz
fi
if [ -z "$(grep ^domoticz /etc/passwd)" ]; then
    useradd -u 311 -g 311 -d /opt/domoticz/home -s /bin/bash -c "Domoticz Daemon" domoticz
fi
if [ -z "$(groupmems -g dialout -l | grep -w domoticz)" ]; then
    groupmems -g dialout -a domoticz
fi

